For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog inStart for free
  • Getting started
    • Overview
    • How it works
    • Quickstart
    • Project structure
    • Customer showcase
    • Changelog
  • Configuration
    • Overview
    • Site-level settings
    • Page-level settings
  • Writing content
    • Markdown basics
    • Rich media in Markdown
    • Fern Editor
    • Reusable snippets
  • AI features
    • Overview
    • Fern Writer
    • AI-generated examples
    • Markdown access
      • Overview
      • Customize LLM output
      • Agent directives
      • Analytics and integration
    • MCP server
    • API catalog discovery
      • Overview
        • Overview
          • POSTCreate Code Record
          • POSTBatch Create Code Records
          • GETGet Code Record By Id
          • GETGet Code Records
          • DELDelete Code Record By Id
          • DELDelete All Code Records
  • Public API
    • GETJWT from Fern API key
    • GETAlgolia search credentials
    • GETCurrent user information
  • Fern Writer API
    • GETGet Fern Writer Install Link
Checking status...
SOC2Soc 2 Type II
© 2026 Fern • Birch Solutions, Inc., a Postman company

Documentation

SDKsDocsAsk FernCLI Reference

API Definitions

OpenAPIAsyncAPIOpenRPCgRPC

Resources

BlogSupportPricing

Company

Brand KitPrivacy PolicyTerms of Service
LogoLogo
Book a demoLog inStart for free
AI featuresAsk FernAPI referenceCode

Get Code Record By Id

||View as Markdown|
GET
/code/:domain/:code_id
GET
/code/:domain/:code_id
$curl https://fai.buildwithfern.com/code/domain/code_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "document": {
3 "code_id": "A12345",
4 "domain": "finance",
5 "chunk": "Section 4.2: Interest Rate Calculations",
6 "document": "This section outlines the methodology for calculating interest rates on variable loans, including compounding periods and applicable fees.",
7 "created_at": "2024-01-15T09:30:00Z",
8 "updated_at": "2024-01-15T09:30:00Z",
9 "title": "Interest Rate Calculation Guidelines",
10 "url": "https://fai.buildwithfern.com/docs/finance/interest-rate-calculation",
11 "version": "v2.1.0",
12 "product": "Loan Management System",
13 "keywords": [
14 "interest",
15 "loan",
16 "finance",
17 "calculation"
18 ],
19 "authed": true
20 }
21}
Was this page helpful?
Previous

Batch Create Code Records

Next

Get Code Records

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

domainstringRequired
code_idstringRequired

Response

Successful Response
documentobject
The requested code

Errors

422
Unprocessable Entity Error